<?php
// Labradoodle-360; Customizable Home Page - CustomizableHomePage.template.php

function template_main()
{

	// Globalize what we need...
	global $txt, $settings, $modSettings, $context, $scripturl;

	// Header time folks!
	if (empty($modSettings['disable_homepage_header']))
		echo '<div class="', $modSettings['homepage_header_type'] != 0 ? 'title_bar' : 'cat_bar', '"', !empty($modSettings['homepage_header_integrate']) ? ' style="height: 28px; margin-bottom: -1px;"' : '', '>
			<h3 class="', $modSettings['homepage_header_type'] != 0 ? 'titlebg' : 'catbg', '">
				<div class="floatleft" style="width: 50%;">
					', !empty($modSettings['homepage_header_title']) ? $modSettings['homepage_header_title'] : $txt['customizable_home_page'], '
				</div>
				<div class="floatright" style="width: 50%; text-align: right; margin-top: 7px;">
					', $context['user']['is_admin'] ? '<a href="'. $scripturl. '?action=admin;area=customizablehomepage" target="_blank" title="[Modify]"><img src="'. $settings['default_images_url']. '/pencil.png" alt="[Modify]" border="" /></a>' : '', '
				</div>
				<br class="clear" />
			</h3>
		</div>';

	// Here's our body!
	if (in_array($modSettings['homepage_body_type'], array(1, 2)))
		echo '<div class="windowbg', !empty($modSettings['homepage_body_type']) && $modSettings['homepage_body_type'] == 2 ? '2' : '', '">
				', empty($modSettings['homepage_header_integrate']) && empty($modSettings['homepage_disable_header']) || !empty($modSettings['homepage_header_integrate']) && !empty($modSettings['disable_homepage_header']) ? '<span class="topslice"><span></span></span>' : '', '
					<div class="content">', $context['custom_home_page_content'], '</div>
				<span class="botslice"><span></span></span>
			</div>';
	elseif ($modSettings['homepage_body_type'] == 3)
		echo '<div class="information"', empty($modSettings['homepage_header_integrate']) && empty($modSettings['homepage_disable_header']) || !empty($modSettings['homepage_header_integrate']) && !empty($modSettings['disable_homepage_header']) ? '' : ' style="margin: 0px;"', '>
				<div class="content">', $context['custom_home_page_content'], '</div>
			</div>';
	else
		echo '', empty($modSettings['homepage_header_integrate']) && empty($modSettings['homepage_disable_header']) || !empty($modSettings['homepage_header_integrate']) && !empty($modSettings['disable_homepage_header']) ? '<span class="upperframe"><span></span></span>' : '', '
				<div class="roundframe">
					<div class="innerframe">
						<div class="content">', $context['custom_home_page_content'], '</div>
					</div>
				</div>
		<span class="lowerframe"><span></span></span>';

}

// !! Copyright; Please do not remove.
function template_homepage_copyright_above()
{
}
function template_homepage_copyright_below()
{

	// Globalize what we need...
	global $txt;

	echo '<div class="smalltext" style="text-align: center;">
			<a href="http://www.simplemachines.org/community/index.php?action=profile;u=182638" target="_blank">', $txt['customizable_home_page_copyright'], '</a>
	</div>';

}

?>