<?php
// Labradoodle-360; Customizable Home Page

if (!defined('SMF'))
	die ('Hacking Attempt...');

function ManageCustomizableHomePage()
{

	// Globalize what we need...
	global $context, $txt, $scripturl, $modSettings, $settings, $sourcedir, $smcFunc;

	// We needddddd Subs-Editor and Subsy.php!
	require_once($sourcedir. '/Subs-Editor.php');
	require_once($sourcedir. '/Subs.php');

	// Define our page title!
	$context['page_title'] = $txt['customizable_home_page_manage'];

	// Throw our copyright in here somewhere... - Thanks live! :)
	$context['template_layers'][] = 'homepage_copyright';

	// Load our template!
	loadTemplate('ManageCustomizableHomePage');

	// Some final head content...
	$context['html_headers'] .= '
		<style type="text/css">
			.rfix
			{
				margin-top: -1px;
			}
		</style>
		<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js"></script>
		<script type="text/javascript">
			$(document).ready(function() {
				$(\'#profile_success\').delay(5000).slideUp(2500);
			});
	</script>';

	// Construct our editor...
	$context['post_box_name'] = 'homepage_content';
	$context['show_bbc'] = true;
	$editorOptions = array(
		'id' => $context['post_box_name'],
		'rows' => 15,
		'columns' => 250,
		'value' => !empty($modSettings['homepage_content']) ? $modSettings['homepage_content'] : $txt['lorem_ipslum'],
		'labels' => '',
		'form' => $context['post_box_name'],
		'preview_type' => '',
	);
	create_control_richedit($editorOptions);

	// Lets make a needle...then save.
	$needle = isset($_REQUEST['query']) && !empty($_REQUEST['query']) ? $_REQUEST['query'] : '';
	if (!empty($needle) && $needle == 'save')
	{
		// Time for our dusty box!
		$dustyBox = array(
			'disable_homepage' => !empty($_POST['disable_homepage']) ? 1 : 0,
			'homepage_browser_title' => $smcFunc['htmlspecialchars']($_POST['homepage_browser_title']),
			'disable_homepage_header' => !empty($_POST['disable_homepage_header']) ? 1 : 0,
			'homepage_header_integrate' => !empty($_POST['homepage_header_integrate']) ? 1 : 0,
			'homepage_header_title' => $smcFunc['htmlspecialchars']($_POST['homepage_header_title']),
			'homepage_header_type' => (int) $_POST['homepage_header_type'],
			'homepage_body_type' => (int) $_POST['homepage_body_type'],
			'homepage_content' => $smcFunc['htmlspecialchars']($_POST['homepage_content']),
		);

		// Now, update our homepage!
		updateSettings($dustyBox);

		// Then redirect.
		redirectexit('action=admin;area=customizablehomepage;saved=true');
	}

}

?>